IPHlpAPI.MIB_TCPTABLE_OWNER_PID (JNA API)

com.sun.jna.platform.win32

## Class IPHlpAPI.MIB_TCPTABLE_OWNER_PID

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.IPHlpAPI.MIB_TCPTABLE_OWNER_PID

- Enclosing interface:
    IPHlpAPI

      @Structure.FieldOrder(value={"dwNumEntries","table"})
      public static class IPHlpAPI.MIB_TCPTABLE_OWNER_PID
      extends Structure

  Contains a table of IPv4 TCP connections on the local computer.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `dwNumEntries`
    `IPHlpAPI.MIB_TCPROW_OWNER_PID[]` | `table`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MIB_TCPTABLE_OWNER_PID(Pointer buf)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `read()` Reads the fields of the struct from native memory

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### dwNumEntries

          public int dwNumEntries

    - #### table

          public IPHlpAPI.MIB_TCPROW_OWNER_PID[] table

  - ### Constructor Detail

    - #### MIB_TCPTABLE_OWNER_PID

          public MIB_TCPTABLE_OWNER_PID(Pointer buf)

  - ### Method Detail

    - #### read

          public void read()

      Description copied from class: `Structure`
      Reads the fields of the struct from native memory
      Overrides:
        `read` in class `Structure`

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.